ur_rna.GUITester.GuiTools

## Class GuiAppManager

- java.lang.Object
- - ur_rna.GUITester.GuiTools.GuiAppManager

-     public class GuiAppManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private GuiFinder` | `_finder`
    `private AppLog` | `_log`
    `private GuiRobot` | `_robot`
    `private javax.swing.JFrame` | `_rootFrame`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiAppManager(AppLog log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComponentInfo(java.awt.Component c, java.lang.StringBuilder sb)`
    `private void` | `appendText(java.lang.StringBuilder sb, java.lang.String propertyName, java.lang.String text)`
    `void` | `close()` Close the GUI application including all existing Windows.
    `void` | `dumpHierarchy(java.lang.StringBuilder sb, java.awt.Container parent, java.lang.String prefix)`
    `java.lang.String` | `getComponentInfo(java.awt.Component c)`
    `java.lang.StringBuilder` | `getHierarchy(java.util.Collection roots)`
    `AppLog` | `getLog()`
    `javax.swing.JFrame` | `getRootFrame()`
    `GuiFinder` | `guiFinder()`
    `GuiRobot` | `guiRobot()`
    `boolean` | `isShowing()`
    `boolean` | `isStarted()`
    `private void` | `launchSubjectApp(java.lang.String[] args)`
    `void` | `performGuiAction(java.lang.String action, java.lang.Object[] args)` Peform a named action on a GuiRef.
    `void` | `printHierarchyTrace()`
    `void` | `shutdown()`
    `void` | `start(java.lang.String args)` Start the GUI application.
    `void` | `start(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _finder

          private GuiFinder _finder

    - #### _log

          private final AppLog _log

    - #### _robot

          private GuiRobot _robot

    - #### _rootFrame

          private javax.swing.JFrame _rootFrame

  - ### Constructor Detail

    - #### GuiAppManager

          public GuiAppManager(AppLog log)

  - ### Method Detail

    - #### addComponentInfo

          public void addComponentInfo(java.awt.Component c,
                                       java.lang.StringBuilder sb)

    - #### appendText

          private void appendText(java.lang.StringBuilder sb,
                                  java.lang.String propertyName,
                                  java.lang.String text)

    - #### close

          public void close()

      Close the GUI application including all existing Windows.

    - #### dumpHierarchy

          public void dumpHierarchy(java.lang.StringBuilder sb,
                                    java.awt.Container parent,
                                    java.lang.String prefix)

    - #### getComponentInfo

          public java.lang.String getComponentInfo(java.awt.Component c)

    - #### getHierarchy

          public java.lang.StringBuilder getHierarchy(java.util.Collection roots)

    - #### getLog

          public AppLog getLog()

    - #### getRootFrame

          public javax.swing.JFrame getRootFrame()

    - #### guiFinder

          public GuiFinder guiFinder()

    - #### guiRobot

          public GuiRobot guiRobot()

    - #### isShowing

          public boolean isShowing()

    - #### isStarted

          public boolean isStarted()

    - #### launchSubjectApp

          private void launchSubjectApp(java.lang.String[] args)

    - #### performGuiAction

          public void performGuiAction(java.lang.String action,
                                       java.lang.Object[] args)
                                throws RuntimeTools.ActionException,
                                       GuiItemNotFoundException

      Peform a named action on a GuiRef.
      Parameters:
        `action` -
        `args` -
      Throws:
        `RuntimeTools.ActionException`
        `GuiItemNotFoundException`

    - #### printHierarchyTrace

          public void printHierarchyTrace()

    - #### shutdown

          public void shutdown()

      See Also:
        `GuiRobot.finalShutdown()`

    - #### start

          public void start(java.lang.String args)

      Start the GUI application. If another instance is already showing, close it and start a new one.

    - #### start

          public void start(java.lang.String[] args)